summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2007-10-22 22:55:04 +0000
committerMarkus Ullmann <jokey@gentoo.org>2007-10-22 22:55:04 +0000
commit3d310cb83d99a073ca752f41b73fe8aed95bdb1f (patch)
tree7e1a89457ec7aba4c62998118583ef984bd5bf55 /eclass
parentFix doc call (from php overlay) (diff)
downloadgentoo-2-3d310cb83d99a073ca752f41b73fe8aed95bdb1f.tar.gz
gentoo-2-3d310cb83d99a073ca752f41b73fe8aed95bdb1f.tar.bz2
gentoo-2-3d310cb83d99a073ca752f41b73fe8aed95bdb1f.zip
proper pear call
Diffstat (limited to 'eclass')
-rw-r--r--eclass/php-pear-r1.eclass10
1 files changed, 5 insertions, 5 deletions
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
index 56a225d4ed4a..3ad6743cdcb7 100644
--- a/eclass/php-pear-r1.eclass
+++ b/eclass/php-pear-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.17 2007/09/01 15:58:17 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.18 2007/10/22 22:55:04 jokey Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -17,7 +17,7 @@
EXPORT_FUNCTIONS src_install
-DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.4.6"
+DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.4.8"
RDEPEND="${DEPEND}"
# @ECLASS-VARIABLE: PHP_PEAR_PKG_NAME
@@ -70,10 +70,10 @@ php-pear-r1_src_install() {
cd "${S}"
mv -f "${WORKDIR}/package.xml" "${S}"
- if has_version '>=dev-php/PEAR-PEAR-1.4.8' ; then
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
+ if [[ -f "${S}"/package2.xml ]] ; then
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" "${S}/package2.xml" > /dev/null || die "Unable to install PEAR package"
else
- pear -d php_bin="${PHP_BIN}" install --nodeps --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
fi
rm -Rf "${D}/usr/share/php/.channels" \